class BloodGroups

    # @type [String]
    @@universal_donor = "O"
    # @type [String]
    @@universal_recipient = "AB"

    # @param [String] group
    # @return [String]
    def self.donors(group)
        case group
        when "O"
            return [@@universal_donor]
        when "A"
            return [@@universal_donor, 'A']
        when "B"
            return [@@universal_donor, 'B']
        when "AB"
            return [@@universal_donor, 'A', 'B', @@universal_recipient]
        else
            return nil
        end
    end

    # @param [String] group
    # @return [String]
    def self.recipients(group)
        case group
        when "O"
            return [@@universal_donor, 'A', 'B', @@universal_recipient]
        when "A"
            return [@@universal_recipient, 'A']
        when "B"
            return [@@universal_recipient, 'B']
        when "AB"
            return [@@universal_recipient]
        else
            return nil
        end
    end

end
